unit AboutUnit;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ShellAPI;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    EMail: TLabel;
    Homepage: TLabel;
    Bevel1: TBevel;
    procedure OKButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure EMailMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Panel1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure HomepageMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure EMailClick(Sender: TObject);
    procedure HomepageClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

uses WalkUnit;

{$R *.DFM}

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
  Hide;
end;

procedure TAboutBox.FormCreate(Sender: TObject);
begin
  ProductName.Caption:=Application.Title;
  Version.Caption:='Version '+ProgramVersion;
  Copyright.Caption:=#169' '+ProgramYear+' by '+ProgramAuthor;
  EMail.Caption:=ProgramAuthorMail;
  Homepage.Caption:=ProgramAuthorHomepage;
  Comments.Caption:=ProgramComments;
end;

procedure TAboutBox.EMailMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  EMail.Font.Style:=[fsUnderline];
end;

procedure TAboutBox.Panel1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  EMail.Font.Style:=[];
  Homepage.Font.Style:=[];
end;

procedure TAboutBox.HomepageMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  Homepage.Font.Style:=[fsUnderline];
end;

procedure TAboutBox.EMailClick(Sender: TObject);
begin
  ShellExecute(MainForm.Handle,'open',PChar('mailto:'+EMail.Caption),nil,nil,SW_SHOWNORMAL);
end;

procedure TAboutBox.HomepageClick(Sender: TObject);
begin
  ShellExecute(MainForm.Handle,'open',PChar(Homepage.Caption),nil,nil,SW_SHOWNORMAL);
end;

end.

